Subject: New version of the device tree aware EMAC driver

From: David Gibson <[email-masked]>
Date: Wed, 16 May 2007 13:26:30 +1000

I've made a few more tiny tweaks to BenH's rewritten device-tree based
4xx EMAC driver.  The main change is that it now no longer requires
'device_type', just 'compatible' to be set in the ZMII and MAL device
nodes when probing.  This works better with current thinking on
flattened device trees which discourages creating new device_type
values unless there is a clear use for a new device class binding.

The patch can be obtained from:

http://ozlabs.org/~dgibson/home/emac/powerpc-emac-new-20070516.patch

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson